## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           iir1
Version:        1.9.5
Release:        %autorelease
Summary:        DSP IIR Realtime C++ filter library

License:        MIT
URL:            https://berndporr.github.io/iir1/
Source:         https://github.com/berndporr/iir1/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++

# Not needed for multilib
ExcludeArch: %{ix86}


%description
An infinite impulse response (IIR) filter library for Linux, Mac OSX and Windows
which implements Butterworth, RBJ, Chebychev filters and can easily import
coefficients generated by Python (scipy).

The filter processes the data sample by sample for realtime processing.

It uses templates to allocate the required memory so that it can run without any
malloc / new commands. Memory is allocated at compile time so that there is
never the risk of memory leaks.

All realtime filter code is in the header files which guarantees efficient
integration into the main program and the compiler can optimise both filter code
and main program at the same time.


%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       cmake-filesystem


%description devel
%{summary}.


%package devel-doc
Summary:        Development documentation for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch


%description devel-doc
%{summary}.


%prep
%autosetup
# Source contains prebuilt documentation, need to rebuild.
rm -rf docs

%build
%cmake -DIIR1_INSTALL_STATIC=OFF
%cmake_build
# Rebuild documentation
(cat Doxyfile; echo GENERATE_LATEX = NO ) | doxygen -


%install
%cmake_install


%check
%ctest


%files
%{_libdir}/libiir.so.1*
%license COPYING

%files devel
%{_includedir}/Iir.h
%{_includedir}/iir
%{_libdir}/libiir.so
%{_libdir}/cmake/iir 
%{_libdir}/pkgconfig/iir.pc

%files devel-doc
%doc README.md
%doc title.png
%doc demo
%doc docs

%changelog
## START: Generated by rpmautospec
* Sat Sep 07 2024 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 1.9.5-1
- Update to 1.9.5

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 27 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 1.9.3-2
- Exclude i686 architecture

* Wed Oct 05 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 1.9.3-1
- Initial import (rhbz#2129191)
## END: Generated by rpmautospec
